/*
Theme Name: Nettl Divi Child
Theme URI: https://www.nettl.com/uk/
Description: Bespoke child theme for Divi
Author: Nettl
Author URI: https://www.nettl.com/uk/
Template: Divi
Version: 1.0.0
*/

@font-face {
	font-family: 'ElegantIcons';
	src:url('fonts/ElegantIcons.eot');
	src:url('fonts/ElegantIcons.eot?#iefix') format('embedded-opentype'),
		url('fonts/ElegantIcons.woff') format('woff'),
		url('fonts/ElegantIcons.ttf') format('truetype'),
		url('fonts/ElegantIcons.svg#ElegantIcons') format('svg');
	font-weight: normal;
	font-style: normal;
}

[data-icon]:before {
	font-family: 'ElegantIcons';
	content: attr(data-icon);
	speak: none;
	font-weight: normal;
	font-variant: normal;
	text-transform: none;
	line-height: 1;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

.main-frankk-btn {
	z-index: 55;
	position: fixed;
	bottom: 0;
	right: 50%;
	display: flex;
	align-items: center;
	gap: 12px;
	font-size: 12px;
	line-height: 1;
	background: linear-gradient(-40deg, rgb(3, 152, 219), rgb(255, 4, 182));
	border: 1px solid #fff;
	border-bottom-width: 0;
	border-radius: 5px 5px 0 0;
	color: #fff;
	text-align: center;
	box-shadow: 0 0 6px 6px rgba(24, 141, 204, 0.1);
	padding: 10px 16px;
	transform: scale(0.8) translateX(50%);
	transform-origin: bottom right;
}

@media (min-width: 1400px) {
	.main-frankk-btn {
		top: 25%;
		right: 0;
		bottom: auto;
		border-right-width: 0;
		border-bottom-width: 1px;
		border-radius: 5px 0 0 5px;
		padding: 8px 13px;
		padding-right: 8px;
		transform: none;
	}
}

.main-frankk-btn:hover,
.main-frankk-btn:focus {
	background: linear-gradient(40deg, rgb(3, 152, 219), rgb(255, 4, 182));
}

.main-frankk-btn::after {
	content: "";
	background: currentColor;
	mask-image: url('data:image/svg+xml,%3csvg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 7 13" preserveAspectRatio="none" fill="none" stroke="black" stroke-width="1" stroke-linecap="round" stroke-linejoin="round"%3e %3cpath d="m.5 12.5 6-6-6-6"/%3e %3c/svg%3e');
	mask-size: 100% 100%;
	width: 10px;
	height: 28px;
}

.main-frankk-btn .logo {
	display: block;
	font-size: 25px;
	font-weight: 700;
	margin-bottom: 3px;
}
